
QGIS Application - Bug report #8489

Removing a DB table from DB manager does not work

2013-08-20 07:20 AM - Paolo Cavallini

Status: Closed

Priority: High

Assignee: Paolo Cavallini

Category: DB Manager

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed

Crashes QGIS or corrupts data:No Copied to github as #: 17254

Description

Seem a trivial issue to fix.

Errore durante l'esecuzione di codice Python:

Traceback (most recent call last):

  File "/usr/share/qgis/python/plugins/db_manager/db_tree.py", line 138, in delete

    self.mainWindow.invokeCallback(item.database().deleteActionSlot)

  File "/usr/share/qgis/python/plugins/db_manager/db_manager.py", line 272, in invokeCallback

    callback( self.tree.currentItem(), self.sender(), self )

  File "/usr/share/qgis/python/plugins/db_manager/db_plugins/plugin.py", line 269, in deleteActionSlot

    self.deleteTableActionSlot(item, action, parent)

  File "/usr/share/qgis/python/plugins/db_manager/db_plugins/plugin.py", line 344, in deleteTableActionSlot

    res = QMessageBox.question(parent, QApplication.translate("DBManagerPlugin", "hey!"),

QApplication.translate("DBManagerPlugin", "Really delete table/view %s?") % item.name, QMessageBox.Yes |

QMessageBox.No)

TypeError: format requires a mapping

Versione Python:

2.7.5+ (default, Jun  2 2013, 13:28:26) 

[GCC 4.7.3]

Versione di QGIS:

1.9.0-Master Master, exported

Percorso Python: ['/usr/share/qgis/python/plugins/sextante', '/usr/share/qgis/python', '/home/paolo/.qgis2/python',

'/home/paolo/.qgis2/python/plugins', '/usr/share/qgis/python/plugins', '/usr/lib/python2.7',

'/usr/lib/python2.7/plat-x86_64-linux-gnu', '/usr/lib/python2.7/lib-tk', '/usr/lib/python2.7/lib-old', '/usr/lib/python2.7/lib-dynload',

'/usr/local/lib/python2.7/dist-packages', '/usr/lib/python2.7/dist-packages', '/usr/lib/python2.7/dist-packages/PIL',

'/usr/lib/python2.7/dist-packages/gst-0.10', '/usr/lib/python2.7/dist-packages/gtk-2.0', '/usr/lib/pymodules/python2.7',

'/usr/lib/python2.7/dist-packages/wx-2.8-gtk2-unicode', '~/.qgis/python', '.', '/usr/share/qgis/python/plugins/fTools/tools']

Associated revisions

Revision 17eb8558 - 2013-09-01 10:29 AM - Salvatore Larosa

[dbmanager] another small fix for italian translation: fixes #8489
History

#1 - 2013-08-20 07:50 AM - Salvatore Larosa

Not confirmed here on linux, I can delete tables without any issue!

#2 - 2013-08-20 07:59 AM - Giovanni Manghi

- Status changed from Open to Feedback

not confirmed here too.

#3 - 2013-08-20 08:49 AM - Paolo Cavallini

Confirmed on Debian, with a different server

#4 - 2013-08-20 08:55 AM - Jürgen Fischer

- Assignee set to Paolo Cavallini

Paolo Cavallini wrote:

Seem a trivial issue to fix.

Talk is cheap.  Fix your translation ;)

#5 - 2013-08-21 01:23 AM - Jürgen Fischer

Jürgen Fischer wrote:

Talk is cheap.  Fix your translation ;)

Really delete table/view %s? is translated as Eliminare veramente la %(le) tabella/vista %(e)? - there should be a %s in the translation.

#6 - 2013-08-21 02:32 AM - Giovanni Manghi

Jürgen Fischer wrote:

Jürgen Fischer wrote:

Talk is cheap.  Fix your translation ;)

Really delete table/view %s? is translated as Eliminare veramente la %(le) tabella/vista %(e)? - there should be a %s in the translation.

use this
Eliminare veramente la tabella/vista %s?

#7 - 2013-08-23 08:45 AM - Paolo Cavallini

It should be fixed on master.

#8 - 2013-08-23 11:05 AM - Jürgen Fischer

- Resolution set to fixed

- Status changed from Feedback to Closed

fixed in commit:c9cf74526
